View Issue Details

IDProjectCategoryView StatusLast Update
0004982Talerexchange API (HTTP specification)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004982: consider compressing exchange replies, in particular /keys
DescriptionI just noticed that a 70 kb /keys reply (which is not unusual) gzip-compresses to 13 kb. That certainly sounds like something we might want to do...
TagsNo tags attached.

Activities

Christian Grothoff

2017-04-16 18:54

manager   ~0012042

Client needs to set:
Accept-encoding: gzip

Server needs to set:
Content-Encoding: gzip

and then send body as encoded by gzip.

Christian Grothoff

2017-04-17 01:31

manager   ~0012045

Implemented in 0b3abbd..5a32162

Issue History

Date Modified Username Field Change
2017-04-08 20:33 Christian Grothoff New Issue
2017-04-08 20:33 Christian Grothoff Status new => assigned
2017-04-08 20:33 Christian Grothoff Assigned To => Christian Grothoff
2017-04-08 20:33 Christian Grothoff Assigned To Christian Grothoff =>
2017-04-08 20:33 Christian Grothoff Status assigned => confirmed
2017-04-09 00:08 Christian Grothoff Assigned To => Christian Grothoff
2017-04-09 00:08 Christian Grothoff Status confirmed => assigned
2017-04-16 18:54 Christian Grothoff Note Added: 0012042
2017-04-17 01:31 Christian Grothoff Status assigned => resolved
2017-04-17 01:31 Christian Grothoff Resolution open => fixed
2017-04-17 01:31 Christian Grothoff Fixed in Version => 0.3
2017-04-17 01:31 Christian Grothoff Note Added: 0012045
2017-04-17 01:31 Christian Grothoff Target Version 0.5 => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed